Skip to content

API Tenants

Maintenu par : Aether365 Team Public : Développeurs Périmètre : Endpoints de l'API Tenants - lecture et mise à jour de la configuration du tenant

Obtenir le tenant actuel

Renvoie le profil et les informations de plan du tenant authentifié.

GET /tenants/me

Exemple de requête

bash
curl https://api.aether365.io/tenants/me \
  -H "Authorization: Bearer <token>"

Exemple de réponse

json
{
  "success": true,
  "data": {
    "id": "t_abc123",
    "email": "admin@example.com",
    "companyName": "Example Corp",
    "planTier": "pro",
    "createdAt": "2026-01-15T10:00:00Z",
    "updatedAt": "2026-04-01T08:30:00Z"
  }
}

Champs de la réponse

ChampTypeDescription
idstringIdentifiant du tenant
emailstringE-mail du propriétaire du compte
companyNamestringNom de l'entreprise (déduit du domaine de l'e-mail)
planTierstringPlan actuel : free, pro, enterprise
createdAtstringHorodatage ISO 8601 de la création du compte
updatedAtstringHorodatage ISO 8601 de la dernière mise à jour

Mettre à jour le profil du tenant

Met à jour le nom d'affichage du tenant.

PATCH /tenants/me

Corps de la requête

json
{
  "companyName": "Acme Security Ltd"
}
ChampTypeRequisDescription
companyNamestringNonNom d'affichage du tenant

Exemple de requête

bash
curl -X PATCH https://api.aether365.io/tenants/me \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"companyName": "Acme Security Ltd"}'

Exemple de réponse

json
{
  "success": true,
  "data": {
    "id": "t_abc123",
    "email": "admin@example.com",
    "companyName": "Acme Security Ltd",
    "planTier": "pro",
    "createdAt": "2026-01-15T10:00:00Z",
    "updatedAt": "2026-04-10T12:00:00Z"
  }
}
Cette page vous a-t-elle été utile ?